Bug 655486 - (ghc-recaptcha) Review Request: ghc-recaptcha - A Haskell library to use reCAPTCHA service
Review Request: ghc-recaptcha - A Haskell library to use reCAPTCHA service
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-21 05:12 EST by Narasimhan
Modified: 2013-06-24 06:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:25:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2010-11-21 05:12:09 EST
SPEC URL :
https://sites.google.com/site/lakshminaras2002/home/ghc-recaptcha.spec?attredirects=0&d=1

SRPM URL:
https://sites.google.com/site/lakshminaras2002/home/ghc-recaptcha-0.1-1.fc14.src.rpm?attredirects=0&d=1

rpmlint output:

rpmlint  -i ghc-recaptcha-0.1-1.fc14.x86_64.rpm ghc-recaptcha-devel-0.1-1.fc14.x86_64.rpm ghc-recaptcha-prof-0.1-1.fc14.x86_64.rpm ../../SRPMS/ghc-recaptcha-0.1-1.fc14.src.rpm ghc-recaptcha.spec 

ghc-recaptcha.x86_64: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

ghc-recaptcha-devel.x86_64: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

ghc-recaptcha-prof.x86_64: E: devel-dependency ghc-recaptcha-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-recaptcha-prof.x86_64: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

ghc-recaptcha-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-recaptcha-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/recaptcha-0.1/libHSrecaptcha-0.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

ghc-recaptcha.src: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

4 packages and 1 specfiles checked; 1 errors, 6 warnings.
Comment 1 Narasimhan 2010-11-21 05:13:42 EST
gitit package is dependent on this package.
Comment 2 Jens Petersen 2011-01-28 06:07:27 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 3 Narasimhan 2011-04-03 02:10:05 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-recaptcha.spec

http://narasim.fedorapeople.org/package_reviews/ghc-recaptcha-0.1-2.fc14.src.rpm

 rpmlint  -i ghc-recaptcha.spec ~/rpmbuild/SRPMS/ghc-recaptcha-0.1-2.fc14.src.rpm ~/rpmbuild/RPMS/i686/ghc-recaptcha-*.rpm
ghc-recaptcha.src: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

ghc-recaptcha.i686: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

ghc-recaptcha-devel.i686: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

ghc-recaptcha-prof.i686: E: devel-dependency ghc-recaptcha-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-recaptcha-prof.i686: W: spelling-error %description -l en_US hs -> HS, sh, gs
The value of this tag appears to be misspelled. Please double-check.

ghc-recaptcha-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-recaptcha-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/recaptcha-0.1/libHSrecaptcha-0.1_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 6 warnings.
Comment 4 Jens Petersen 2011-10-24 21:51:21 EDT
Only reverse dep seems to be gitit.

http://packdeps.haskellers.com/reverse/recaptcha
Comment 5 Jens Petersen 2013-06-24 06:25:51 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.